local _, core = ...;
core.DBpets = {};
core.LoadPets = {};

local function loadPets()
core.DBpets = {
	[1] = {
		id = 1,
		faction = "Neutral",
		["infoPet"] = {core.libs.getInfoByIdPet(134406, 8), core.libs.getInfoByIdPet(134406, 3)},
		["extraInfoPet"] = {core.libs.getInfoByIdPet(134406, 13), core.libs.getInfoByIdPet(134406, 12)},
		icon = "Interface/AddOns/WoWChallenger/images/pets/icons/francois_good",
		Model = { id = 75339,
				camDist = 1,
				rotation = 0.75,
		},
		expansion = "Battle for Azeroth",
		page = {
			[1] = { id = 1,
				icon = "Interface/AddOns/WoWChallenger/images/pets/icons/francois_page1",
				imgT = {
					[1] = { id = 1,
						path = "Interface/AddOns/WoWChallenger/images/pets/pct_page/francois_page1-1",
						title = core.L["Francois"],
						onMap = {
							nameNPC = core.L["Francois"],
							nameZone = core.L["Tiragarde"].." ("..core.L["KulTiras"]..")",
							icon = "Interface/AddOns/WoWChallenger/images/pets/icons_map/francois_page1-1",
							pins = {
								{							
									x = 0.5280,
									y = 0.3100,
									zone = 895,
								},
							}
						}
					},
				},
				step = {
					[1] = { id = 1,
						help = core.L["HelpFrancoisP1S1"],
						task = {
							[1] = { id = 1,
								["need"] = {
									itemId = 158077,
									itemInfo = {GetItemInfo(158077)},
									itemIcon = "interface/icons/inv_cloudserpent_egg_yellow",
									nbNeed = 1,
									["loot"] = {
										[1] = {
											nameNPC = core.L["Francois"],
											pourcentageDrop = 0,
										},
									},
									done = core.libs.getInfoByIdPet(134406, 3),
								},
							},
						},
					},
				},
			},
		},
	},
	[2] = {
		id = 2,
		faction = "Horde",
		["infoPet"] = {core.libs.getInfoByIdPet(147583, 8), core.libs.getInfoByIdPet(147583, 3)},
		["extraInfoPet"] = {core.libs.getInfoByIdPet(147583, 13), core.libs.getInfoByIdPet(147583, 12)},
		icon = "Interface/AddOns/WoWChallenger/images/pets/icons/plumes_good",
		Model = { id = 90422,
				camDist = 1,
				rotation = 0.75,
		},
		expansion = "Battle for Azeroth",
		page = {
			[1] = { id = 1,
				icon = "Interface/AddOns/WoWChallenger/images/pets/icons/plumes_page1H",
				imgT = {
					[1] = { id = 1,
						path = "Interface/AddOns/WoWChallenger/images/pets/pct_page/plumes_page1H",
						title = C_QuestLog.GetQuestInfo(53817),
						onMap = {
							nameNPC = C_QuestLog.GetQuestInfo(53817),
							nameZone = core.L["Zuldazar"].." ("..core.L["Zandalar"]..")",
							icon = "Interface/AddOns/WoWChallenger/images/mounts/icons_map/quest_map",
							pins = {
								{
									x = 0.5840,
									y = 0.6260,
									zone = 862,
								},
							}
						}
					},
				},
				step = {
					[1] = { id = 1,
						task = {
							[1] = { id = 1,
								["quest"] = {
									title = C_QuestLog.GetQuestInfo(53817),
									desc = core.L["DescQuest"],
									completed = IsQuestFlaggedCompleted(53817)},
							},
						},
					},
					[2] = { id = 2,
						task = {
							[1] = { id = 1,
								["quest"] = {
									title = C_QuestLog.GetQuestInfo(53816),
									desc = core.L["DescQuest"],
									completed = IsQuestFlaggedCompleted(53816)},
							},
							[2] = { id = 2,
								["quest"] = {
									title = C_QuestLog.GetQuestInfo(53818),
									desc = core.L["DescQuest"],
									completed = IsQuestFlaggedCompleted(53818)},
							},
						},
					},
					[3] = { id = 3,
						task = {
							[1] = { id = 1,
								["quest"] = {
									title = C_QuestLog.GetQuestInfo(53821),
									desc = core.L["DescQuest"],
									completed = IsQuestFlaggedCompleted(53821)},
							},
						},
					},
				},
			},
		},
	},
	[3] = {
		id = 3,
		faction = "Alliance",
		["infoPet"] = {core.libs.getInfoByIdPet(147583, 8), core.libs.getInfoByIdPet(147583, 3)},
		["extraInfoPet"] = {core.libs.getInfoByIdPet(147583, 13), core.libs.getInfoByIdPet(147583, 12)},
		icon = "Interface/AddOns/WoWChallenger/images/pets/icons/plumes_good",
		Model = { id = 90422,
				camDist = 1,
				rotation = 0.75,
		},
		expansion = "Battle for Azeroth",
		page = {
			[1] = { id = 1,
				icon = "Interface/AddOns/WoWChallenger/images/pets/icons/plumes_page1A",
				imgT = {
					[1] = { id = 1,
						path = "Interface/AddOns/WoWChallenger/images/pets/pct_page/plumes_page1A",
						title = C_QuestLog.GetQuestInfo(53815),
						onMap = {
							nameNPC = C_QuestLog.GetQuestInfo(53815),
							nameZone = core.L["Boralus"].." ("..core.L["KulTiras"]..")",
							icon = "Interface/AddOns/WoWChallenger/images/mounts/icons_map/quest_map",
							pins = {
								{
									x = 0.6780,
									y = 0.2640,
									zone = 1161,
								},
							}
						}
					},
				},
				step = {
					[1] = { id = 1,
						task = {
							[1] = { id = 1,
								["quest"] = {
									title = C_QuestLog.GetQuestInfo(53815),
									desc = core.L["DescQuest"],
									completed = IsQuestFlaggedCompleted(53815)},
							},
						},
					},
					[2] = { id = 2,
						task = {
							[1] = { id = 1,
								["quest"] = {
									title = C_QuestLog.GetQuestInfo(53816),
									desc = core.L["DescQuest"],
									completed = IsQuestFlaggedCompleted(53816)},
							},
							[2] = { id = 2,
								["quest"] = {
									title = C_QuestLog.GetQuestInfo(53818),
									desc = core.L["DescQuest"],
									completed = IsQuestFlaggedCompleted(53818)},
							},
						},
					},
					[3] = { id = 3,
						task = {
							[1] = { id = 1,
								["quest"] = {
									title = C_QuestLog.GetQuestInfo(53820),
									desc = core.L["DescQuest"],
									completed = IsQuestFlaggedCompleted(53820)},
							},
						},
					},
				},
			},
		},
	},
	[4] = {
		id = 4,
		faction = "Neutral",
		["infoPet"] = {core.libs.getInfoByIdPet(143189, 8), core.libs.getInfoByIdPet(143189, 3)},
		["extraInfoPet"] = {core.libs.getInfoByIdPet(143189, 13), core.libs.getInfoByIdPet(143189, 12)},
		icon = "Interface/AddOns/WoWChallenger/images/pets/icons/maccarbre_good",
		Model = { id = 86805,
				camDist = 1,
				rotation = 2,
		},
		expansion = "Battle for Azeroth",
		page = {
			[1] = { id = 1,
				icon = "Interface/AddOns/WoWChallenger/images/pets/icons/maccarbre_page1",
				imgT = {
					[1] = { id = 1,
						path = "Interface/AddOns/WoWChallenger/images/pets/pct_page/maccarbre_page1-1",
						title = core.libs.getInfoByIdItem(163789, 1),
						onMap = {
							nameNPC = core.libs.getInfoByIdItem(163789, 1),
							nameZone = core.L["Drustvar"].." ("..core.L["KulTiras"]..")",
							icon = "Interface/AddOns/WoWChallenger/images/pets/icons_map/maccarbre_page1-1",
							pins = {
								{
									x = 0.1860,
									y = 0.5150,
									zone = 896,
								},
							}
						}
					},
					[2] = { id = 2,
						path = "Interface/AddOns/WoWChallenger/images/pets/pct_page/maccarbre_page1-2",
						title = core.libs.getInfoByIdItem(163791, 1),
						onMap = {
							nameNPC = core.libs.getInfoByIdItem(163791, 1),
							nameZone = core.L["Drustvar"].." ("..core.L["KulTiras"]..")",
							icon = "Interface/AddOns/WoWChallenger/images/pets/icons_map/maccarbre_page1-2",
							pins = {
								{
									x = 0.6770,
									y = 0.7370,
									zone = 896,
								},
							}
						}
					},
					[3] = { id = 3,
						path = "Interface/AddOns/WoWChallenger/images/pets/pct_page/maccarbre_page1-3",
						title = core.libs.getInfoByIdItem(163796, 1),
						onMap = {
							nameNPC = core.libs.getInfoByIdItem(163796, 1),
							nameZone = core.L["Drustvar"].." ("..core.L["KulTiras"]..")",
							icon = "Interface/AddOns/WoWChallenger/images/pets/icons_map/maccarbre_page1-3",
							pins = {
								{
									x = 0.2550,
									y = 0.2410,
									zone = 896,
								},
							}
						}
					},
					[4] = { id = 4,
						path = "Interface/AddOns/WoWChallenger/images/pets/pct_page/maccarbre_page1-4",
						title = core.libs.getInfoByIdItem(163790, 1),
						onMap = {
							nameNPC = core.libs.getInfoByIdItem(163790, 1),
							nameZone = core.L["Drustvar"].." ("..core.L["KulTiras"]..")",
							icon = "Interface/AddOns/WoWChallenger/images/pets/icons_map/maccarbre_page1-4",
							pins = {
								{
									x = 0.5560,
									y = 0.5180,
									zone = 896,
								},
							}
						}
					},
				},
				step = {
					[1] = { id = 1,
						task = {
							[1] = { id = 1,
								["need"] = {
									itemId = 163789,
									itemInfo = {GetItemInfo(163789)},
									itemIcon = "interface/icons/inv_tradeskillitem_03",
									nbNeed = 1,
									["loot"] = {
										[1] = {
											nameNPC = core.L["Chest1"],
											pourcentageDrop = 0,
										},
									},
									path = "4111",
									done = DonePetTask[4]["page"][1]["step"][1]["task"][1]["done"],
								},
							},
							[2] = { id = 2,
								["need"] = {
									itemId = 163791,
									itemInfo = {GetItemInfo(163791)},
									itemIcon = "interface/icons/inv_misc_skull_07",
									nbNeed = 1,
									["loot"] = {
										[1] = {
											nameNPC = core.L["Chest2"],
											pourcentageDrop = 0,
										},
									},
									path = "4112",
									done = DonePetTask[4]["page"][1]["step"][1]["task"][2]["done"],
								},
							},
							[3] = { id = 3,
								["need"] = {
									itemId = 163796,
									itemInfo = {GetItemInfo(163796)},
									itemIcon = "interface/icons/inv_misc_bone_03",
									nbNeed = 1,
									["loot"] = {
										[1] = {
											nameNPC = core.L["Chest3"],
											pourcentageDrop = 0,
										},
									},
									path = "4113",
									done = DonePetTask[4]["page"][1]["step"][1]["task"][3]["done"],
								},
							},
							[4] = { id = 4,
								["need"] = {
									itemId = 163790,
									itemInfo = {GetItemInfo(163790)},
									itemIcon = "interface/icons/inv_scroll_01",
									nbNeed = 1,
									["loot"] = {
										[1] = {
											nameNPC = core.L["Chest4"],
											pourcentageDrop = 0,
										},
									},
									path = "4114",
									done = DonePetTask[4]["page"][1]["step"][1]["task"][4]["done"],
								},
							},
						},
					},
					[2] = { id = 2,
						task = {
							[1] = { id = 1,
								["need"] = {
									itemId = 163497,
									itemInfo = {GetItemInfo(163497)},
									itemIcon = "interface/icons/inv_wickerbeastpet",
									nbNeed = 1,
									["create"] = {
										[1] = {
											compoId = 163789,
											nbNeed = 1,
										},
										[2] = {
											compoId = 163791,
											nbNeed = 1,
										},
										[3] = {
											compoId = 163796,
											nbNeed = 1,
										},
										[4] = {
											compoId = 163790,
											nbNeed = 1,
										},
									},
									done = core.libs.getInfoByIdPet(143189, 3),
								},
							},
						},
					},
				},
			},
		},
	},
	[5] = {
		id = 5,
		faction = "Neutral",
		["infoPet"] = {core.libs.getInfoByIdPet(128396, 8), core.libs.getInfoByIdPet(128396, 3)},
		["extraInfoPet"] = {core.libs.getInfoByIdPet(128396, 13), core.libs.getInfoByIdPet(128396, 12)},
		icon = "Interface/AddOns/WoWChallenger/images/pets/icons/uuna_good",
		Model = { id = 76829,
				camDist = 1.25,
				rotation = 0.75,
		},
		expansion = "Legion",
		page = {
			[1] = { id = 1,
				icon = "Interface/AddOns/WoWChallenger/images/pets/icons/uuna_page1",
				imgT = {
					[1] = { id = 1,
						path = "Interface/AddOns/WoWChallenger/images/pets/pct_page/uuna_page1-1",
						title = core.libs.getInfoByIdItem(152786, 1),
						onMap = {
							nameNPC = core.libs.getInfoByIdItem(152786, 1),
							nameZone = core.L["EtenduesAnto"].." ("..core.L["Argus"]..")",
							icon = "Interface/AddOns/WoWChallenger/images/pets/icons_map/uuna_page1-1",
							pins = {
								{
									x = 0.5262,
									y = 0.3815,
									zone = 885,
								},
							}
						}
					},
					[2] = { id = 2,
						path = "Interface/AddOns/WoWChallenger/images/pets/pct_page/uuna_page1-2",
						title = core.libs.getInfoByIdItem(152993, 1),
						onMap = {
							nameNPC = core.libs.getInfoByIdItem(152993, 1),
							nameZone = core.L["EtenduesAnto"].." ("..core.L["Argus"]..")",
							icon = "Interface/AddOns/WoWChallenger/images/pets/icons_map/uuna_page1-2",
							pins = {
								{
									x = 0.5040,
									y = 0.5610,
									zone = 885,
								},
							}
						}
					},
					[3] = { id = 3,
						path = "Interface/AddOns/WoWChallenger/images/pets/pct_page/uuna_page1-3",
						title = core.libs.getInfoByIdItem(152992, 1),
						onMap = {
							nameNPC = core.libs.getInfoByIdItem(152992, 1),
							nameZone = core.L["EtenduesAnto"].." ("..core.L["Argus"]..")",
							icon = "Interface/AddOns/WoWChallenger/images/pets/icons_map/maccarbre_page1-3",
							pins = {
								{
									x = 0.6596,
									y = 0.1927,
									zone = 885,
								},
							}
						}
					},
					[4] = { id = 4,
						path = "Interface/AddOns/WoWChallenger/images/pets/pct_page/uuna_page1-4",
						title = core.libs.getInfoByIdItem(152991, 1),
						onMap = {
							nameNPC = core.libs.getInfoByIdItem(152991, 1),
							nameZone = core.L["EtenduesAnto"].." ("..core.L["Argus"]..")",
							icon = "Interface/AddOns/WoWChallenger/images/pets/icons_map/uuna_page1-4",
							pins = {
								{
									x = 0.5240,
									y = 0.3530,
									zone = 885,
								},
							}
						}
					},
					[5] = { id = 5,
						path = "Interface/AddOns/WoWChallenger/images/pets/pct_page/uuna_page1-5",
						title = core.L["Invocation"].." "..core.L["100Faces"],
						onMap = {
							nameNPC = core.L["Invocation"].." "..core.L["100Faces"],
							nameZone = core.L["EtenduesAnto"].." ("..core.L["Argus"]..")",
							icon = "Interface/AddOns/WoWChallenger/images/pets/icons_map/uuna_page1-5",
							pins = {
								{
									x = 0.5480,
									y = 0.3910,
									zone = 885,
								},
							}
						}
					},
				},
				step = {
					[1] = { id = 1,
						task = {
							[1] = { id = 1,
								["need"] = {
									itemId = 152786,
									itemInfo = {GetItemInfo(152786)},
									itemIcon = "interface/icons/inv_misc_scrollunrolled04c",
									nbNeed = 1,
									["loot"] = {
										[1] = {
											nameNPC = core.L["Defender"],
											pourcentageDrop = 20,
										},
										[2] = {
											nameNPC = core.L["Ritualist"],
											pourcentageDrop = 5,
										},
									},
									path = "5111",	
									done = DonePetTask[5]["page"][1]["step"][1]["task"][1]["done"],
								},
							},
						},
					},
					[2] = { id = 2,
						task = {
							[1] = { id = 1,
								["need"] = {
									itemId = 152993,
									itemInfo = {GetItemInfo(152993)},
									itemIcon = "interface/icons/inv_misc_bone_02",
									nbNeed = 1,
									["loot"] = {
										[1] = {
											nameNPC = core.L["onFloor"].." (50, 56)",
											pourcentageDrop = 0,
										},
									},
									path = "5121",
									done = DonePetTask[5]["page"][1]["step"][2]["task"][1]["done"],
								},
							},
							[2] = { id = 2,
								["need"] = {
									itemId = 152992,
									itemInfo = {GetItemInfo(152992)},
									itemIcon = "interface/icons/inv_misc_bone_03",
									nbNeed = 1,
									["loot"] = {
										[1] = {
											nameNPC = core.L["onFloor"].." (66, 26)",
											pourcentageDrop = 0,
										},
									},
									path = "5122",
									done = DonePetTask[5]["page"][1]["step"][2]["task"][2]["done"],
								},
							},
							[3] = { id = 3,
								["need"] = {
									itemId = 152991,
									itemInfo = {GetItemInfo(152991)},
									itemIcon = "interface/icons/inv_misc_bone_01",
									nbNeed = 1,
									["loot"] = {
										[1] = {
											nameNPC = core.L["onFloor"].." (52, 35)",
											pourcentageDrop = 0,
										},
									},
									path = "5123",
									done = DonePetTask[5]["page"][1]["step"][2]["task"][3]["done"],
								},
							},
						},
					},
					[3] = { id = 3,
						helpI = core.L["HelpUunaP1S3"],
						task = {
							[1] = { id = 1,
								["need"] = {
									itemId = 153195,
									itemInfo = {GetItemInfo(153195)},
									itemIcon = "interface/icons/inv_misc_toy_02",
									nbNeed = 1,
									["loot"] = {
										[1] = {
											nameNPC = core.L["100Faces"],
											pourcentageDrop = 28,
										},
									},
									done = core.libs.getInfoByIdPet(128396, 3),
								},
							},
						},
					},
				},
			},
			[2] = { id = 2,
				icon = "Interface/AddOns/WoWChallenger/images/pets/icons/uuna_page2",
				imgT = {
					[1] = { id = 1,
						path = "Interface/AddOns/WoWChallenger/images/pets/pct_page/uuna_page2-1",
						title = core.L["Shattrath"],
						onMap = {
							nameNPC = core.L["Uuna"],
							nameZone = core.L["Shattrath"].." ("..core.L["Outland"]..")",
							icon = "Interface/AddOns/WoWChallenger/images/pets/icons_map/uuna_map",
							pins = {
								{
									x = 0.5348,
									y = 0.4541,
									zone = 111,
								},
							}
						}
					},
					[2] = { id = 2,
						path = "Interface/AddOns/WoWChallenger/images/pets/pct_page/uuna_page2-2",
						title = core.L["Orneval"],
						onMap = {
							nameNPC = core.L["Uuna"],
							nameZone = core.L["Orneval"].." ("..core.L["Kalimdor"]..")",
							icon = "Interface/AddOns/WoWChallenger/images/pets/icons_map/uuna_map",
							pins = {
								{
									x = 0.1894,
									y = 0.4154,
									zone = 63,
								},
							}
						}
					},
					[3] = { id = 3,
						path = "Interface/AddOns/WoWChallenger/images/pets/pct_page/uuna_page2-3",
						title = core.L["MacAree"],
					},
					[4] = { id = 4,
						path = "Interface/AddOns/WoWChallenger/images/pets/pct_page/uuna_page2-4",
						title = core.L["MacAree"],
					},
					[5] = { id = 5,
						path = "Interface/AddOns/WoWChallenger/images/pets/pct_page/uuna_page2-5",
						title = core.L["MacAree"],
						onMap = {
							nameNPC = core.L["Uuna"],
							nameZone = core.L["MacAree"].." ("..core.L["Argus"]..")",
							icon = "Interface/AddOns/WoWChallenger/images/pets/icons_map/uuna_map",
							pins = {
								{
									x = 0.3285,
									y = 0.7509,
									zone = 882,
								},
							}
						}
					},
					[6] = { id = 6,
						path = "Interface/AddOns/WoWChallenger/images/pets/pct_page/uuna_page2-6",
						title = core.L["Bloodmyst Isle"],
						onMap = {
							nameNPC = core.L["Uuna"],
							nameZone = core.L["Bloodmyst Isle"].." ("..core.L["Kalimdor"]..")",
							icon = "Interface/AddOns/WoWChallenger/images/pets/icons_map/uuna_map",
							pins = {
								{
									x = 0.5630,
									y = 0.5650,
									zone = 106,
								},
							}
						}
					},
					[7] = { id = 7,
						path = "Interface/AddOns/WoWChallenger/images/pets/pct_page/uuna_page2-7",
						title = core.L["Shadowmoon Valley"],
						onMap = {
							nameNPC = core.L["Uuna"],
							nameZone = core.L["Shadowmoon Valley"].." ("..core.L["Draenor"]..")",
							icon = "Interface/AddOns/WoWChallenger/images/pets/icons_map/uuna_map",
							pins = {
								{
									x = 0.5600,
									y = 0.4110,
									zone = 539,
								},
							}
						}
					},
					[8] = { id = 8,
						path = "Interface/AddOns/WoWChallenger/images/pets/pct_page/uuna_page2-8",
						title = core.L["A Dark Place"],
						onMap = {
							nameNPC = core.L["Uuna"],
							nameZone = core.L["Desolation"].." ("..core.L["Norfendre"]..")",
							icon = "Interface/AddOns/WoWChallenger/images/pets/icons_map/uuna_map",
							pins = {
								{
									x = 0.6616,
									y = 0.7452,
									zone = 115,
								},
							}
						}
					},
					[9] = { id = 9,
						path = "Interface/AddOns/WoWChallenger/images/pets/pct_page/uuna_page2-9",
						title = core.L["A Dark Place"],
					},
				},
				step = {
					[1] = { id = 1,
						task = {
							[1] = { id = 1,
								["quest"] = {
									title = core.L["UunaP2S1T1"],
									desc = core.L["UunaP2S1T1Desc"],
									completed = IsQuestFlaggedCompleted(50098)},
							},
						},
					},
					[2] = { id = 2,
						task = {
							[1] = { id = 1,
								["quest"] = {
									title = core.L["Emote"].." 1",
									desc = core.L["UunaEmoteW"],
									completed = IsQuestFlaggedCompleted(50099)},
							},
						},
					},
					[3] = { id = 3,
						task = {
							[1] = { id = 1,
								["quest"] = {
									title = core.L["Emote"].." 2",
									desc = core.L["UunaEmoteR"],
									completed = IsQuestFlaggedCompleted(50100)},
							},
						},
					},
					[4] = { id = 4,
						task = {
							[1] = { id = 1,
								["quest"] = {
									title = core.L["Emote"].." 3",
									desc = core.L["UunaEmoteC"],
									completed = IsQuestFlaggedCompleted(50101)},
							},
						},
					},
					[5] = { id = 5,
						task = {
							[1] = { id = 1,
								["quest"] = {
									title = core.L["Shattrath"],
									desc = core.L["GoUuna1"],
									completed = IsQuestFlaggedCompleted(50102)},
							},
						},
					},
					[6] = { id = 6,
						task = {
							[1] = { id = 1,
								["quest"] = {
									title = core.L["Orneval"],
									desc = core.L["GoUuna2"],
									completed = IsQuestFlaggedCompleted(50103)},
							},
						},
					},
					[7] = { id = 7,
						help = core.L["RecItem1"],
						task = {
							[1] = { id = 1,
								["quest"] = {
									title = core.L["MacAree"],
									desc = core.L["GoUuna3"],
									completed = IsQuestFlaggedCompleted(50104)},
							},
						},
					},
					[8] = { id = 8,
						task = {
							[1] = { id = 1,
								["quest"] = {
									title = core.L["Bloodmyst Isle"],
									desc = core.L["GoUuna4"],
									completed = IsQuestFlaggedCompleted(50105)},
							},
						},
					},
					[9] = { id = 9,
						task = {
							[1] = { id = 1,
								["quest"] = {
									title = core.L["Shadowmoon Valley"],
									desc = core.L["GoUuna5-12"],
									completed = IsQuestFlaggedCompleted(50106)},
							},
						},
					},
					[10] = { id = 10,
						task = {
							[1] = { id = 1,
								["quest"] = {
									title = core.L["Spirit Healer"],
									desc = core.L["SpeakToGarden"],
									completed = IsQuestFlaggedCompleted(50108)},
							},
						},
					},
					[11] = { id = 11,
						helpI = core.L["FightUuna"],
						task = {
							[1] = { id = 1,
								["quest"] = {
									title = core.L["A Dark Place"],
									desc = core.L["SaveUuna"],
									completed = IsQuestFlaggedCompleted(50109)},
							},
						},
					},
				},
			},
			[3] = { id = 3,
				icon = "Interface/AddOns/WoWChallenger/images/pets/icons/uuna_page3",
				imgT = {
					[1] = { id = 1,
						path = "Interface/AddOns/WoWChallenger/images/pets/pct_page/uuna_page3-1",
						title = core.L["ValeEternal"],
						onMap = {
							nameNPC = core.L["Uuna"],
							nameZone = core.L["ValeEternal"].." ("..core.L["Pandaria"]..")",
							icon = "Interface/AddOns/WoWChallenger/images/pets/icons_map/uuna_map",
							pins = {
								{
									x = 0.0860,
									y = 0.5849,
									zone = 390,
								},
							}
						}
					},
					[2] = { id = 2,
						path = "Interface/AddOns/WoWChallenger/images/pets/pct_page/uuna_page3-2",
						title = core.L["Suramar"],
						onMap = {
							nameNPC = core.L["Uuna"],
							nameZone = core.L["Suramar"].." ("..core.L["BrokenIsles"]..")",
							icon = "Interface/AddOns/WoWChallenger/images/pets/icons_map/uuna_map",
							pins = {
								{
									x = 0.622,
									y = 0.838,
									zone = 680,
								},
							}
						}
					},
					[3] = { id = 3,
						path = "Interface/AddOns/WoWChallenger/images/pets/pct_page/uuna_page3-3",
						title = core.L["DalaranLegion"],
						onMap = {
							nameNPC = core.L["Uuna"],
							nameZone = core.L["DalaranLegion"],
							icon = "Interface/AddOns/WoWChallenger/images/pets/icons_map/uuna_map",
							pins = {
								{
									x = 0.7240,
									y = 0.4591,
									zone = 627,
								},
							}
						}
					},
					[4] = { id = 4,
						path = "Interface/AddOns/WoWChallenger/images/pets/pct_page/uuna_page3-4",
						title = core.L["Desolation"],
						onMap = {
							nameNPC = core.L["Uuna"],
							nameZone = core.L["Desolation"].." ("..core.L["Norfendre"]..")",
							icon = "Interface/AddOns/WoWChallenger/images/pets/icons_map/uuna_map",
							pins = {
								{
									x = 0.578,
									y = 0.543,
									zone = 115,
								},
							}
						}
					},
					[5] = { id = 5,
						path = "Interface/AddOns/WoWChallenger/images/pets/pct_page/uuna_page3-5",
						title = core.L["Desolation"],
					},
					[6] = { id = 6,
						path = "Interface/AddOns/WoWChallenger/images/pets/pct_page/uuna_page3-6",
						title = core.L["Hyjal"],
						onMap = {
							nameNPC = core.L["Uuna"],
							nameZone = core.L["Hyjal"].." ("..core.L["Kalimdor"]..")",
							icon = "Interface/AddOns/WoWChallenger/images/pets/icons_map/uuna_map",
							pins = {
								{
									x = 0.59,
									y = 0.24,
									zone = 198,
								},
							}
						}
					},
					[7] = { id = 7,
						path = "Interface/AddOns/WoWChallenger/images/pets/pct_page/uuna_page3-7",
						title = core.L["Hyjal"],
					},
					[8] = { id = 8,
						path = "Interface/AddOns/WoWChallenger/images/pets/pct_page/uuna_page3-8",
						title = core.L["KunLai"],
						onMap = {
							nameNPC = core.L["Uuna"],
							nameZone = core.L["KunLai"].." ("..core.L["Pandaria"]..")",
							icon = "Interface/AddOns/WoWChallenger/images/pets/icons_map/uuna_map",
							pins = {
								{
									x = 0.448,
									y = 0.525,
									zone = 379,
								},
							}
						}
					},
					[9] = { id = 9,
						path = "Interface/AddOns/WoWChallenger/images/pets/pct_page/uuna_page3-9",
						title = core.L["KunLai"],
					},
					[10] = { id = 10,
						path = "Interface/AddOns/WoWChallenger/images/pets/pct_page/uuna_page3-10",
						title = core.L["Entrance"].." "..core.L["Blackrock"],
					},
					[11] = { id = 11,
						path = "Interface/AddOns/WoWChallenger/images/pets/pct_page/uuna_page3-11",
						title = core.L["Blackrock"],
						onMap = {
							nameNPC = core.L["Uuna"],
							nameZone = core.L["Blackrock"].." ("..core.L["EstKingdom"]..")",
							icon = "Interface/AddOns/WoWChallenger/images/pets/icons_map/uuna_map",
							pins = {
								{
									x = 0.37,
									y = 0.67,
									zone = 33,
								},
							}
						}
					},
					[12] = { id = 12,
						path = "Interface/AddOns/WoWChallenger/images/pets/pct_page/uuna_page3-12",
						title = core.L["Shadowmoon Valley"],
						onMap = {
							nameNPC = core.L["Uuna"],
							nameZone = core.L["Shadowmoon Valley"].." ("..core.L["Draenor"]..")",
							icon = "Interface/AddOns/WoWChallenger/images/pets/icons_map/uuna_map",
							pins = {
								{
									x = 0.7065,
									y = 0.4655,
									zone = 539,
								},
							}
						}
					},
				},
				step = {
					[1] = { id = 1,
						task = {
							[1] = { id = 1,
								["quest"] = {
									title = core.L["ValeEternal"],
									desc = core.L["GoUuna6"],
									completed = IsQuestFlaggedCompleted(50140)},
							},
						},
					},
					[2] = { id = 2,
						task = {
							[1] = { id = 1,
								["quest"] = {
									title = core.L["Suramar"],
									desc = core.L["GoUuna7"],
									completed = IsQuestFlaggedCompleted(50141)},
							},
						},
					},
					[3] = { id = 3,
						task = {
							[1] = { id = 1,
								["quest"] = {
									title = core.L["DalaranLegion"],
									desc = core.L["GoUuna13"],
									completed = IsQuestFlaggedCompleted(50142)},
							},
						},
					},
					[4] = { id = 4,
						task = {
							[1] = { id = 1,
								["quest"] = {
									title = core.L["Desolation"],
									desc = core.L["GoUuna8"],
									completed = IsQuestFlaggedCompleted(50143)},
							},
						},
					},
					[5] = { id = 5,
						task = {
							[1] = { id = 1,
								["quest"] = {
									title = core.L["Hyjal"],
									desc = core.L["GoUuna9"],
									completed = IsQuestFlaggedCompleted(50144)},
							},
						},
					},
					[6] = { id = 6,
						task = {
							[1] = { id = 1,
								["quest"] = {
									title = core.L["KunLai"],
									desc = core.L["GoUuna10"],
									completed = IsQuestFlaggedCompleted(50145)},
							},
						},
					},
					[7] = { id = 7,
						task = {
							[1] = { id = 1,
								["quest"] = {
									title = core.L["Blackrock"],
									desc = core.L["GoUuna11"],
									completed = IsQuestFlaggedCompleted(50146)},
							},
						},
					},
					[8] = { id = 8,
						task = {
							[1] = { id = 1,
								["quest"] = {
									title = core.L["Shadowmoon Valley"],
									desc = core.L["GoUuna5-12"],
									completed = IsQuestFlaggedCompleted(50147)},
							},
						},
					},
				},
			},
		},
	},
	[6] = {
		id = 6,
		faction = "Neutral",
		["infoPet"] = {core.libs.getInfoByIdPet(141941, 8), core.libs.getInfoByIdPet(141941, 3)},
		["extraInfoPet"] = {core.libs.getInfoByIdPet(141941, 13), core.libs.getInfoByIdPet(141941, 12)},
		icon = "Interface/AddOns/WoWChallenger/images/pets/icons/baal_good",
		Model = { id = 80456,
				camDist = 1.25,
				rotation = 0.75,
		},
		imgPet = "Interface/AddOns/WoWChallenger/images/pets/img_pets/baal",
		expansion = "Battle for Azeroth",
		page = {
			[1] = { id = 1,
				icon = "Interface/AddOns/WoWChallenger/images/pets/icons/baal_page1",
				imgT = {
					[1] = { id = 1,
						path = "Interface/AddOns/WoWChallenger/images/pets/pct_page/baal_page1-1",
						title = core.L["BaalScroll"],
						onMap = {
							nameNPC = core.L["BaalScroll"],
							nameZone = core.L["Nazmir"].." ("..core.L["Zandalar"]..")",
							icon = "Interface/AddOns/WoWChallenger/images/pets/icons_map/baal_page1-1",
							pins = {
								{
									x = 0.5202,
									y = 0.59,
									zone = 863,
								},
							}
						}
					},
				},
				step = {
					[1] = { id = 1,
						helpI = core.L["HelpBaalP1S1"],
						task = {
							[1] = { id = 1,
								["quest"] = {
									title = core.L["BaalScroll"],
									desc = core.L["InteractItem"],
									completed = IsQuestFlaggedCompleted(52819)},
							},
						},
					},
				},
			},
			[2] = { id = 2,
				icon = "Interface/AddOns/WoWChallenger/images/pets/icons/baal_page2",
				imgT = {
					[1] = { id = 1,
						path = "Interface/AddOns/WoWChallenger/images/pets/pct_page/baal_page2-1",
						title = core.L["BaalStone"].."1",
						onMap = {
							nameNPC = core.L["BaalStone"].."1",
							nameZone = core.L["BrokenShore"].." ("..core.L["BrokenIsles"]..")",
							icon = "Interface/AddOns/WoWChallenger/images/pets/icons_map/pebble_map",
							pins = {
								{
									x = 0.372,
									y = 0.717,
									zone = 646,
								},
							}
						}
					},
					[2] = { id = 2,
						path = "Interface/AddOns/WoWChallenger/images/pets/pct_page/baal_page2-2",
						title = core.L["Entrance"].." "..core.L["BaalStone"].."2",
						onMap = {
							nameNPC = core.L["Entrance"].." "..core.L["BaalStone"].."2",
							nameZone = core.L["Boralus"].." ("..core.L["KulTiras"]..")",
							icon = "Interface/AddOns/WoWChallenger/images/pets/icons_map/pebble_map",
							pins = {
								{
									x = 0.49,
									y = 0.40,
									zone = 1161,
								},
							}
						}
					},
					[3] = { id = 3,
						path = "Interface/AddOns/WoWChallenger/images/pets/pct_page/baal_page2-3",
						title = core.L["BaalStone"].."2",
					},
					[4] = { id = 4,
						path = "Interface/AddOns/WoWChallenger/images/pets/pct_page/baal_page2-4",
						title = core.L["Entrance"].." "..core.L["BaalStone"].."3",
						onMap = {
							nameNPC = core.L["Entrance"].." "..core.L["BaalStone"].."3",
							nameZone = core.L["Zuldazar"].." ("..core.L["Zandalar"]..")",
							icon = "Interface/AddOns/WoWChallenger/images/pets/icons_map/pebble_map",
							pins = {
								{
									x = 0.3157,
									y = 0.3610,
									zone = 862,
								},
							}
						}
					},
					[5] = { id = 5,
						path = "Interface/AddOns/WoWChallenger/images/pets/pct_page/baal_page2-5",
						title = core.L["BaalStone"].."3",
					},
					[6] = { id = 6,
						path = "Interface/AddOns/WoWChallenger/images/pets/pct_page/baal_page2-6",
						title = core.L["Entrance"].." "..core.L["BaalStone"].."4",
						onMap = {
							nameNPC = core.L["Entrance"].." "..core.L["BaalStone"].."4",
							nameZone = core.L["Drustvar"].." ("..core.L["KulTiras"]..")",
							icon = "Interface/AddOns/WoWChallenger/images/pets/icons_map/pebble_map",
							pins = {
								{
									x = 0.3460,
									y = 0.5505,
									zone = 896,
								},
							}
						}
					},
					[7] = { id = 7,
						path = "Interface/AddOns/WoWChallenger/images/pets/pct_page/baal_page2-7",
						title = core.L["BaalStone"].."4",
					},
					[8] = { id = 8,
						path = "Interface/AddOns/WoWChallenger/images/pets/pct_page/baal_page2-8",
						title = core.L["Entrance"].." "..core.L["BaalStone"].."5",
						onMap = {
							nameNPC = core.L["Entrance"].." "..core.L["BaalStone"].."5",
							nameZone = core.L["Voldun"].." ("..core.L["Zandalar"]..")",
							icon = "Interface/AddOns/WoWChallenger/images/pets/icons_map/pebble_map",
							pins = {
								{
									x = 0.6348,
									y = 0.2146,
									zone = 864,
								},
							}
						}
					},
					[9] = { id = 9,
						path = "Interface/AddOns/WoWChallenger/images/pets/pct_page/baal_page2-9",
						title = core.L["BaalStone"].."5",
					},
					[10] = { id = 10,
						path = "Interface/AddOns/WoWChallenger/images/pets/pct_page/baal_page2-10",
						title = core.L["Entrance"].." "..core.L["BaalStone"].."6",
						onMap = {
							nameNPC = core.L["Entrance"].." "..core.L["BaalStone"].."6",
							nameZone = core.L["Stormsong Valley"].." ("..core.L["KulTiras"]..")",
							icon = "Interface/AddOns/WoWChallenger/images/pets/icons_map/pebble_map",
							pins = {
								{
									x = 0.6816,
									y = 0.1090,
									zone = 942,
								},
							}
						}
					},
					[11] = { id = 11,
						path = "Interface/AddOns/WoWChallenger/images/pets/pct_page/baal_page2-11",
						title = core.L["BaalStone"].."6",
					},
					[12] = { id = 12,
						path = "Interface/AddOns/WoWChallenger/images/pets/pct_page/baal_page2-12",
						title = core.L["BaalStone"].."7",
						onMap = {
							nameNPC = core.L["BaalStone"].."7",
							nameZone = core.L["Zandalar"],
							icon = "Interface/AddOns/WoWChallenger/images/pets/icons_map/pebble_map",
							pins = {
								{
									x = 0.5454,
									y = 0.0730,
									zone = 875,
								},
							}
						}
					},
					[13] = { id = 13,
						path = "Interface/AddOns/WoWChallenger/images/pets/pct_page/baal_page2-13",
						title = core.L["BaalStone"].."7",
					},
					[14] = { id = 14,
						path = "Interface/AddOns/WoWChallenger/images/pets/pct_page/baal_page2-14",
						title = core.L["BaalStone"].."7",
					},
					[15] = { id = 15,
						path = "Interface/AddOns/WoWChallenger/images/pets/pct_page/baal_page2-15",
						title = core.L["Entrance"].." "..core.L["BaalStone"].."8",
						onMap = {
							nameNPC = core.L["Entrance"].." "..core.L["BaalStone"].."8",
							nameZone = core.L["Boralus"].." ("..core.L["KulTiras"]..")",
							icon = "Interface/AddOns/WoWChallenger/images/pets/icons_map/pebble_map",
							pins = {
								{
									x = 0.37,
									y = 0.80,
									zone = 1161,
								},
							}
						}
					},
					[16] = { id = 16,
						path = "Interface/AddOns/WoWChallenger/images/pets/pct_page/baal_page2-16",
						title = core.L["BaalStone"].."8",
					},
					[17] = { id = 17,
						path = "Interface/AddOns/WoWChallenger/images/pets/pct_page/baal_page2-17",
						title = core.L["BaalStone"].."9",
						onMap = {
							nameNPC = core.L["BaalStone"].."9",
							nameZone = core.L["Drustvar"].." ("..core.L["KulTiras"]..")",
							icon = "Interface/AddOns/WoWChallenger/images/pets/icons_map/pebble_map",
							pins = {
								{
									x = 0.1715,
									y = 0.0640,
									zone = 896,
								},
							}
						}
					},
					[18] = { id = 18,
						path = "Interface/AddOns/WoWChallenger/images/pets/pct_page/baal_page2-18",
						title = core.L["Entrance"].." "..core.L["BaalStone"].."10",
						onMap = {
							nameNPC = core.L["Entrance"].." "..core.L["BaalStone"].."10",
							nameZone = core.L["Tiragarde"].." ("..core.L["KulTiras"]..")",
							icon = "Interface/AddOns/WoWChallenger/images/pets/icons_map/pebble_map",
							pins = {
								{							
									x = 0.7543, 
									y = 0.7065,
									zone = 895,
								},
							}
						}
					},
					[19] = { id = 19,
						path = "Interface/AddOns/WoWChallenger/images/pets/pct_page/baal_page2-19",
						title = core.L["BaalStone"].."10",
					},
					[20] = { id = 20,
						path = "Interface/AddOns/WoWChallenger/images/pets/pct_page/baal_page2-20",
						title = core.L["Entrance"].." "..core.L["BaalStone"].."11",
						onMap = {
							nameNPC = core.L["Entrance"].." "..core.L["BaalStone"].."11",
							nameZone = core.L["Tiragarde"].." ("..core.L["KulTiras"]..")",
							icon = "Interface/AddOns/WoWChallenger/images/pets/icons_map/pebble_map",
							pins = {
								{							
									x = 0.8019, 
									y = 0.1932,
									zone = 895,
								},
							}
						}
					},
					[21] = { id = 21,
						path = "Interface/AddOns/WoWChallenger/images/pets/pct_page/baal_page2-21",
						title = core.L["BaalStone"].."11",
					},
					[22] = { id = 22,
						path = "Interface/AddOns/WoWChallenger/images/pets/pct_page/baal_page2-22",
						title = core.L["Entrance"].." "..core.L["BaalStone"].."12",
						onMap = {
							nameNPC = core.L["Entrance"].." "..core.L["BaalStone"].."12",
							nameZone = core.L["Boralus"].." ("..core.L["KulTiras"]..")",
							icon = "Interface/AddOns/WoWChallenger/images/pets/icons_map/pebble_map",
							pins = {
								{
									x = 0.1001,
									y = 0.8259,
									zone = 1161,
								},
							}
						}
					},
					[23] = { id = 23,
						path = "Interface/AddOns/WoWChallenger/images/pets/pct_page/baal_page2-23",
						title = core.L["BaalStone"].."12",
					},
					[24] = { id = 24,
						path = "Interface/AddOns/WoWChallenger/images/pets/pct_page/baal_page2-24",
						title = core.L["BaalStone"].."13",
						onMap = {
							nameNPC = core.L["BaalStone"].."13",
							nameZone = core.L["Zandalar"],
							icon = "Interface/AddOns/WoWChallenger/images/pets/icons_map/pebble_map",
							pins = {
								{
									x = 0.5572,
									y = -0.1021,
									zone = 875,
								},
							}
						}
					},
					[25] = { id = 25,
						path = "Interface/AddOns/WoWChallenger/images/pets/pct_page/baal_page2-25",
						title = core.L["Entrance"].." "..core.L["BaalStone"].."13",
					},
					[26] = { id = 26,
						path = "Interface/AddOns/WoWChallenger/images/pets/pct_page/baal_page2-26",
						title = core.L["BaalStone"].."13",
					},
				},
				step = {
					[1] = { id = 1,
						task = {
							[1] = { id = 1,
								["quest"] = {
									title = core.L["BaalStone"].."1",
									desc = core.L["InteractItem"],
									completed = IsQuestFlaggedCompleted(52809)},
							},
						},
					},
					[2] = { id = 2,
						task = {
							[1] = { id = 1,
								["quest"] = {
									title = core.L["BaalStone"].."2",
									desc = core.L["InteractItem"],
									completed = IsQuestFlaggedCompleted(52810)},
							},
						},
					},
					[3] = { id = 3,
						task = {
							[1] = { id = 1,
								["quest"] = {
									title = core.L["BaalStone"].."3",
									desc = core.L["InteractItem"],
									completed = IsQuestFlaggedCompleted(52818)},
							},
						},
					},
					[4] = { id = 4,
						task = {
							[1] = { id = 1,
								["quest"] = {
									title = core.L["BaalStone"].."4",
									desc = core.L["InteractItem"],
									completed = IsQuestFlaggedCompleted(52817)},
							},
						},
					},
					[5] = { id = 5,
						task = {
							[1] = { id = 1,
								["quest"] = {
									title = core.L["BaalStone"].."5",
									desc = core.L["InteractItem"],
									completed = IsQuestFlaggedCompleted(52816)},
							},
						},
					},
					[6] = { id = 6,
						task = {
							[1] = { id = 1,
								["quest"] = {
									title = core.L["BaalStone"].."6",
									desc = core.L["InteractItem"],
									completed = IsQuestFlaggedCompleted(52815)},
							},
						},
					},
					[7] = { id = 7,
						task = {
							[1] = { id = 1,
								["quest"] = {
									title = core.L["BaalStone"].."7",
									desc = core.L["InteractItem"],
									completed = IsQuestFlaggedCompleted(52814)},
							},
						},
					},
					[8] = { id = 8,
						task = {
							[1] = { id = 1,
								["quest"] = {
									title = core.L["BaalStone"].."8",
									desc = core.L["InteractItem"],
									completed = IsQuestFlaggedCompleted(52813)},
							},
						},
					},
					[9] = { id = 9,
						task = {
							[1] = { id = 1,
								["quest"] = {
									title = core.L["BaalStone"].."9",
									desc = core.L["InteractItem"],
									completed = IsQuestFlaggedCompleted(52812)},
							},
						},
					},
					[10] = { id = 10,
						task = {
							[1] = { id = 1,
								["quest"] = {
									title = core.L["BaalStone"].."10",
									desc = core.L["InteractItem"],
									completed = IsQuestFlaggedCompleted(53632)},
							},
						},
					},
					[11] = { id = 11,
						task = {
							[1] = { id = 1,
								["quest"] = {
									title = core.L["BaalStone"].."11",
									desc = core.L["InteractItem"],
									completed = IsQuestFlaggedCompleted(53633)},
							},
						},
					},
					[12] = { id = 12,
						task = {
							[1] = { id = 1,
								["quest"] = {
									title = core.L["BaalStone"].."12",
									desc = core.L["InteractItem"],
									completed = IsQuestFlaggedCompleted(53634)},
							},
						},
					},
					[13] = { id = 13,
						help = core.L["RecItem2"],
						task = {
							[1] = { id = 1,
								["quest"] = {
									title = core.L["BaalStone"].."13",
									desc = core.L["InteractItem"],
									completed = IsQuestFlaggedCompleted(52827)},
							},
						},
					},
				},
			},
			[3] = { id = 3,
				icon = "Interface/AddOns/WoWChallenger/images/pets/icons/baal_page3",
				imgT = {
					[1] = { id = 1,
						path = "Interface/AddOns/WoWChallenger/images/pets/pct_page/baal_page3-1",
						title = core.L["Baal"],
						onMap = {
							nameNPC = core.L["Baal"],
							nameZone = core.L["CreteGivreFeu"].." ("..core.L["Draenor"]..")",
							icon = "Interface/AddOns/WoWChallenger/images/pets/icons_map/baal_map",
							pins = {
								{
									x = 0.62,
									y = 0.22,
									zone = 525,
								},
							}
						}
					},
					[2] = { id = 2,
						path = "Interface/AddOns/WoWChallenger/images/pets/pct_page/baal_page3-2",
						title = core.L["Baal"],
					},
				},
				step = {
					[1] = { id = 1,
						helpI = core.L["HelpBaalP3S1"],
						task = {
							[1] = { id = 1,
								["need"] = {
									itemId = 162578,
									itemInfo = {GetItemInfo(162578)},
									itemIcon = "interface/icons/spell_warlock_demonbolt",
									nbNeed = 1,
									["loot"] = {
										[1] = {
											nameNPC = core.L["Baal"],
											pourcentageDrop = 0,
										},
									},
									done = core.libs.getInfoByIdPet(141941, 3),
								},
							},
						},
					},
				},
			},
		},
	},
}
end
core.LoadPets = loadPets;